<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="ISMI ID Search"]]

<div class="panel gap">
  <div class="panel-body">
<semantic-search>
  <semantic-search-form-query
     query-template='{
       "queryString": "SELECT ?subject
          WHERE {
            ?subject a ?type ;
              crm:P1_is_identified_by ?id .
            ?id crm:P2_has_type ismiidtype:ismi-id ;
              rdfs:label ?identifier .
            OPTIONAL {
              ?subject rdfs:label ?label .
            }
            filter(strstarts(str(?type), \"http://ontologies.mpiwg-berlin.mpg.de/\"))
            bind(?id_match as ?identifier)
          }",
       "arguments": {
         "id_match": {"type": "xsd:string", "optional": false}
       }
     }'
     fields="[[fieldDefinitions
         id_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
       ]]">
    <semantic-form-text-input for="id_match" placeholder='ISMI ID'></semantic-form-text-input>
    <button type='button' name='submit' className='btn btn-default'>Search</button>
  </semantic-search-form-query>
  <semantic-search-result-holder>
    <semantic-search-result> 
<semantic-table
  id='table'
  query='SELECT ?subject ?identifier ?type WHERE {}
    ORDER BY xsd:integer(?identifier)'
  column-configuration='[
    { "variableName": "subject", "displayName": "Entity" },
    { "variableName": "type", "displayName": "Type" },
    { "variableName": "identifier", "displayName": "ISMi ID" }
  ]'
  number-of-displayed-rows=100
  options='{"showFilter": false}'
  >
</semantic-table>
    </semantic-search-result>
  </semantic-search-result-holder>
</semantic-search>
  </div>
</div>

[[> Partial:contentEnd]]
